Bug 178032

Summary: Teach InlineTextBox::clampOffset() about combined text and hyphenation
Product: WebKit Reporter: Daniel Bates <dbates>
Component: Layout and RenderingAssignee: Daniel Bates <dbates>
Status: RESOLVED FIXED    
Severity: Normal CC: bfulgham, mmaxfield, simon.fraser, webkit-bug-importer, zalan
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 138913, 178322    
Attachments:
Description Flags
Patch
none
Patch zalan: review+

Description Daniel Bates 2017-10-06 15:27:47 PDT
As a first steps towards fixing bug #138913, teach InlineTextBox::clampOffset() about combined text and hyphenation.
Comment 1 Daniel Bates 2017-10-06 16:24:05 PDT
Created attachment 323062 [details]
Patch
Comment 2 Daniel Bates 2017-10-09 10:08:41 PDT
Created attachment 323183 [details]
Patch
Comment 3 Daniel Bates 2017-10-12 08:41:28 PDT
Comment on attachment 323183 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=323183&action=review

> Source/WebCore/rendering/InlineTextBox.cpp:629
> +        // Fix up the offset if we are combined text or have a hyphen. We treat combined text as a

Will update this comment to read:

Fix up the offset if we are combined text or have a hyphen because we manage these embellishments. That is, they are not reflected in renderer().text(). We treat combined text as a single unit. We also treat the last codepoint in this box and the hyphen as a single unit.
Comment 4 Daniel Bates 2017-10-12 14:31:45 PDT
Committed r223259: <https://trac.webkit.org/changeset/223259>
Comment 5 Radar WebKit Bug Importer 2017-10-12 14:32:41 PDT
<rdar://problem/34964018>